Juniper NSM 2009.1r1 parser override

Document created by FredD on Nov 4, 2009
Version 1Show Document
  • View in full screen mode

Hello,

 

We had to develop a parser override for the nsm 2009.1r1 because the official NSM smartConnector supports to 2007 version only.

 

The 2009.1r1 log format includes the "policy-id" field which is very interesting for configuration monitoring.

 

The parser should remain compatible with older versions of the NSM.

 

Attached files: nsm_syslog.subagent.sdkrfilereader.properties.override   : the override parser

                        nsm_syslog.subagent.sdkrfilereader.properties.20091r1  : the whole parser

 

Fred

Outcomes